Subject: Re: V8's roots?

From: [email-masked]
Date: Fri, 8 Jan 1999 00:02:46 -0500

OK, if you anonymous ftp to plan9.bell-labs.com, in /cm/cs/who/dmr/nsys
you should find nsys.tar and README.  nsys.tar is a mere 194KB. 

Licensing--

 > Yes, although you yourself expressed doubt that editions before
 > 6th were really passed (via USL) to Novell & thence to SCO.

If we had wanted to pay lawyers we could have made the
case that research versions were ours to distribute.  We didn't
want to spend the effort, especially once SCO turned nice.

The SCO license is evidently enough (even though it's a bit hard to decide
whether this is 2, 3, 4, it's covered well enough.)  I haven't poked
closely enough into the PUPS pages to discover how (in practice)
you really handle distribution today.  (You refer to "getting helpers
to make disks/tapes")  This particular thing is small enough that Internet
download is quite practical.  Of course it is presumably of interest
only to those who already have an 11/45 or a good-enough
simulator, or just want to study.

I got the enquiry about V8 and subseq.  This begins to get more
complicated.  For sure it would involve new negotiations with
SCO.  It's possible that, the sky not having fallen, they would
be even nicer now.   But since I'm just now involved in
hot-and-heavy jousting about Inferno, Plan 9, Brazil
I don't have the stomach to open another legal battle at the
moment.

Let me know if/when you pick up the nsys stuff.   Right now
it's not linked on my home page and thus isn't obviously
visible, but it is there for ftp if people poke around.  I'll put
in some home page links to the PUPS material (including this)
once you've figured out how to integrate it.

	Dennis